# TODO before merge request: вернуть старые адреса окружения.
# pcp.infra.postgres.host: 192.168.1.8
pcp:
  infra:
    postgres:
      host: 192.168.1.8
      port: 35400
    kafka:
      host: 192.168.1.8
      port: 19092

  network:
    host: 192.168.1.8

  ports:
    config: 8888
    admin: 38889
    route-processing: 8080
    request: 8080
    ballistics: 8080
    complex-mission-service: 8080
    stations: 8080
    slots: 8080
    mission: 8080
    ui: 8080
    tgu: 8080
    tle-monitoring: 8080
    complex-mission-flow: 8080
    coverage-scheme: 8080
    satellite-catalog: 8080
    dynamic-plan: 8080

  services:
    config: http://${pcp.network.host}:${pcp.ports.config}
    admin: http://${pcp.network.host}:${pcp.ports.admin}
    route-processing: http://${pcp.network.host}:${pcp.ports.route-processing}
    request: http://pcp-request-service:${pcp.ports.request}
    earth-grid: ${pcp.services.request}
    ballistics: http://pcp-ballistics-service:${pcp.ports.ballistics}
    complex-mission-service: http://pcp-complex-mission-service:${pcp.ports.complex-mission-service}
    stations: http://pcp-stations-service:${pcp.ports.stations}
    slots: http://pcp-slots-service:${pcp.ports.slots}
    mission: http://pcp-mission-planing-service:${pcp.ports.mission}
    ui: http://${pcp.network.host}:${pcp.ports.ui}
    tgu: http://${pcp.network.host}:${pcp.ports.tgu}
    tle-monitoring: http://tle-monitoring-service:${pcp.ports.tle-monitoring}
    coverage-scheme: http://pcp-coverage-scheme-service:${pcp.ports.coverage-scheme}
    satellite-catalog: http://pcp-satellite-catalog-service:${pcp.ports.satellite-catalog}
    dynamic-plan: http://pcp-dynamic-plan-service:${pcp.ports.dynamic-plan}

spring:
  boot:
    admin:
      client:
        enabled: true
        url:
          - ${pcp.services.admin}
        auto-registration: true
        auto-deregistration: true
        register-once: true
